'use strict';

// ** Dependencies
const measured = require('measured');

const stats = measured.createCollection();

const meter = name => {
    const meter = stats.meter(name);
    meter.unref();

    return meter;
};
const histogram = name => {
    const histogram = stats.histogram(name);
    return histogram;
};

// ** Exports
module.exports.meter = meter;
module.exports.histogram = histogram;